﻿-- --------------------------------------------------------
-- 主机:                           192.168.1.149
-- 服务器版本:                        5.6.26 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win32
-- HeidiSQL 版本:                  9.3.0.4984
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 导出 work 的数据库结构
CREATE DATABASE IF NOT EXISTS `work` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `work`;


-- 导出  表 work.oa_advancedsetting 结构
CREATE TABLE IF NOT EXISTS `oa_advancedsetting` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fGoWorkTime` varchar(100) DEFAULT NULL COMMENT '上班弹性时间',
  `fLateTime` varchar(100) DEFAULT NULL COMMENT '迟到考核',
  `fAbsentTime` varchar(100) DEFAULT NULL COMMENT '旷工考核',
  `fFirstEarlyTime` varchar(100) DEFAULT NULL COMMENT '最早打卡时间',
  `fOgnID` varchar(100) DEFAULT NULL COMMENT '组织ID',
  `fOgnName` varchar(100) DEFAULT NULL COMMENT '组织名称',
  `fCreatepreID` varchar(100) DEFAULT NULL COMMENT '创建人ID',
  `fCreatepreName` varchar(100) DEFAULT NULL COMMENT '创建人名称',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_approval 结构
CREATE TABLE IF NOT EXISTS `oa_approval` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `fPersonName` varchar(50) DEFAULT NULL COMMENT '创建人',
  `fPersonID` varchar(50) DEFAULT NULL COMMENT '创建人ID',
  `fCreateTime` datetime DEFAULT NULL COMMENT '创建时间',
  `fDeptName` varchar(50) DEFAULT NULL COMMENT '部门',
  `fDeptID` varchar(50) DEFAULT NULL COMMENT '部门ID',
  `fOrgName` varchar(50) DEFAULT NULL COMMENT '组织',
  `fOrgID` varchar(50) DEFAULT NULL COMMENT '组织ID',
  `fState` varchar(50) DEFAULT NULL COMMENT '审批状态',
  `fStateID` varchar(50) DEFAULT NULL COMMENT '审批状态ID',
  `fUpdateTime` datetime DEFAULT NULL COMMENT '审批状态修改时间',
  `fUpdatePerson` varchar(50) DEFAULT NULL COMMENT '审批状态修改人',
  `fUpdatePersonID` varchar(50) DEFAULT NULL COMMENT '审批状态修改人ID',
  `fTheme` varchar(50) DEFAULT NULL COMMENT '审批主题',
  `fContent` varchar(50) DEFAULT NULL COMMENT '审批内容',
  `fApprovalAttachment` varchar(1024) DEFAULT NULL COMMENT '审批附件',
  `fType` varchar(50) DEFAULT NULL COMMENT '审批类型',
  `fTypeID` varchar(50) DEFAULT NULL COMMENT '审批类型ID',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='审批';

-- 数据导出被取消选择。


-- 导出  表 work.oa_approvers 结构
CREATE TABLE IF NOT EXISTS `oa_approvers` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `fApprovalID` varchar(50) DEFAULT NULL COMMENT '审批ID',
  `fApprovers` varchar(50) DEFAULT NULL COMMENT '审批人',
  `fApproversID` varchar(50) DEFAULT NULL COMMENT '审批人ID',
  `fApproval` varchar(50) DEFAULT NULL COMMENT '审批意见',
  `fCCPerson` varchar(1024) DEFAULT NULL COMMENT '抄送人',
  `fCCPersonID` varchar(1024) DEFAULT NULL COMMENT '抄送人ID',
  `fUpdateTime` datetime DEFAULT NULL COMMENT '审批意见修改时间',
  `fState` varchar(50) DEFAULT NULL COMMENT '审批状态',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='审批人';

-- 数据导出被取消选择。


-- 导出  表 work.oa_attendanceadmin 结构
CREATE TABLE IF NOT EXISTS `oa_attendanceadmin` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(100) DEFAULT NULL COMMENT '考勤人ID',
  `fPersonName` varchar(100) DEFAULT NULL COMMENT '考勤人名称',
  `fOrgID` varchar(100) DEFAULT NULL COMMENT '考勤组织ID',
  `fOrgName` varchar(100) DEFAULT NULL COMMENT '考勤组织名称',
  `fDeptID` varchar(100) DEFAULT NULL COMMENT '考勤部门ID',
  `fDeptName` varchar(100) DEFAULT NULL COMMENT '考勤部门名称',
  `fAttendanceClass` varchar(100) DEFAULT NULL COMMENT '考勤班制',
  `fAttendanceGroupName` varchar(100) DEFAULT NULL COMMENT '考勤组名称',
  `fAttendanceTeamManager` varchar(1024) DEFAULT NULL COMMENT '考勤组负责人',
  `fAttendanceTeamManagerID` varchar(1024) DEFAULT NULL COMMENT '考勤组负责人ID',
  `fCreateTime` datetime DEFAULT NULL COMMENT '创建时间',
  `fUpdataTime` datetime DEFAULT NULL COMMENT '修改时间',
  `fAttendancePersonName` varchar(1024) DEFAULT NULL COMMENT '参与考勤人员',
  `fAttendancePersonID` varchar(1024) DEFAULT NULL COMMENT '参与考勤人员ID',
  `fEffectiveRange` int(11) DEFAULT NULL COMMENT '有效范围',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_attendancemap 结构
CREATE TABLE IF NOT EXISTS `oa_attendancemap` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fAttendanceAdminID` varchar(100) DEFAULT NULL COMMENT '考勤管理ID',
  `fLongitude` varchar(100) DEFAULT NULL COMMENT '经度',
  `fLatitude` varchar(100) DEFAULT NULL COMMENT '纬度',
  `fAddressDetail` varchar(100) DEFAULT NULL COMMENT '地址信息',
  `fAttenAddrName` varchar(100) DEFAULT NULL COMMENT '考勤地点名称',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_attendancetime 结构
CREATE TABLE IF NOT EXISTS `oa_attendancetime` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fAttendanceAdminID` varchar(100) DEFAULT NULL COMMENT '考勤管理ID',
  `fDepart` varchar(100) DEFAULT NULL COMMENT '班次',
  `fStartAM` varchar(100) DEFAULT NULL COMMENT '上班',
  `fEndAM` varchar(100) DEFAULT NULL COMMENT '下班',
  `fStartPM` varchar(100) DEFAULT NULL COMMENT '下午上班时间',
  `fEndPM` varchar(100) DEFAULT NULL COMMENT '下午下班时间',
  `fTime` varchar(100) DEFAULT NULL COMMENT '时段',
  `fOrgID` varchar(100) DEFAULT NULL COMMENT '考勤组织ID',
  `fOrgName` varchar(100) DEFAULT NULL COMMENT '考勤组织名称',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_attendanceweek 结构
CREATE TABLE IF NOT EXISTS `oa_attendanceweek` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fAttendanceAdminID` varchar(100) DEFAULT NULL COMMENT '考勤管理ID',
  `fDepartID` varchar(100) DEFAULT NULL COMMENT '考勤班次设置ID',
  `fMonday` varchar(100) DEFAULT NULL COMMENT '每周一',
  `fTuesday` varchar(100) DEFAULT NULL COMMENT '每周二',
  `fWednesday` varchar(100) DEFAULT NULL COMMENT '每周三',
  `fThursday` varchar(100) DEFAULT NULL COMMENT '每周四',
  `fFriday` varchar(100) DEFAULT NULL COMMENT '每周五',
  `fSaturday` varchar(100) DEFAULT NULL COMMENT '每周六',
  `fSunday` varchar(100) DEFAULT NULL COMMENT '每周日',
  `fDepart` varchar(100) DEFAULT NULL COMMENT '班次',
  `fDepartTime` varchar(100) DEFAULT NULL COMMENT '班次时间',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_chekinout 结构
CREATE TABLE IF NOT EXISTS `oa_chekinout` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(100) DEFAULT NULL COMMENT '考勤人ID',
  `fPersonName` varchar(100) DEFAULT NULL COMMENT '考勤人名称',
  `fOrgID` varchar(100) DEFAULT NULL COMMENT '考勤组织ID',
  `fOrgName` varchar(100) DEFAULT NULL COMMENT '考勤组织名称',
  `fDeptID` varchar(100) DEFAULT NULL COMMENT '考勤部门ID',
  `fDeptName` varchar(100) DEFAULT NULL COMMENT '考勤部门名称',
  `fCheckInAM` datetime DEFAULT NULL COMMENT '签到时间AM',
  `fCheckOutAM` datetime DEFAULT NULL COMMENT '签退时间AM',
  `fCheckInPM` datetime DEFAULT NULL COMMENT '签到时间PM',
  `fCheckOutPM` datetime DEFAULT NULL COMMENT '签退时间PM',
  `fIsLate` varchar(100) DEFAULT NULL COMMENT '是否迟到',
  `fIsLateRemark` varchar(1024) DEFAULT NULL COMMENT '迟到备注',
  `fIsLeaving` varchar(100) DEFAULT NULL COMMENT '是否早退',
  `fIsLeavingRemark` varchar(1024) DEFAULT NULL COMMENT '早退备注',
  `fAbsenteeism` varchar(100) DEFAULT NULL COMMENT '是否旷工',
  `fLateImg` varchar(1024) DEFAULT NULL COMMENT '迟到图片',
  `fLeavingImg` varchar(1024) DEFAULT NULL COMMENT '早退图片',
  `fCheckAreaAM` varchar(100) DEFAULT NULL COMMENT '早签到地点',
  `fCheckAreaPM` varchar(100) DEFAULT NULL COMMENT '晚签退地点',
  `fCheckSite` varchar(100) DEFAULT NULL COMMENT '考勤地点',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_qn_answer 结构
CREATE TABLE IF NOT EXISTS `oa_qn_answer` (
  `fID` varchar(50) NOT NULL COMMENT '主键',
  `version` int(11) DEFAULT NULL,
  `fQuestionnaireID` varchar(50) DEFAULT NULL COMMENT '问卷主键',
  `fQuestionID` varchar(50) DEFAULT NULL COMMENT '题目主键',
  `fAnswerText` varchar(200) DEFAULT NULL COMMENT '填空等答案',
  `fOptionID` varchar(200) DEFAULT NULL COMMENT '选项ID',
  `fScope` smallint(6) DEFAULT NULL COMMENT '所打分数',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_qn_author 结构
CREATE TABLE IF NOT EXISTS `oa_qn_author` (
  `fID` varchar(50) NOT NULL,
  `version` int(11) NOT NULL,
  `fAuthorID` varchar(100) NOT NULL COMMENT '答卷人ID',
  `fAuthorName` varchar(100) DEFAULT NULL COMMENT '答卷人姓名',
  `fSubmitTime` datetime DEFAULT NULL COMMENT '提交时间',
  `fQuestionnaireID` varchar(100) NOT NULL COMMENT '问卷ID',
  `fQuesStatus` int(11) NOT NULL COMMENT '是否回答（0：未答，1：已答）',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_qn_option 结构
CREATE TABLE IF NOT EXISTS `oa_qn_option` (
  `fID` varchar(50) NOT NULL COMMENT '主键',
  `version` int(11) NOT NULL DEFAULT '0',
  `fQuestionnaireID` varchar(50) NOT NULL COMMENT '问卷ID',
  `fQuestionID` varchar(50) NOT NULL COMMENT '题目主键',
  `fOptionTile` varchar(100) NOT NULL COMMENT '选项标题',
  `fOrder` tinyint(4) DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_qn_question 结构
CREATE TABLE IF NOT EXISTS `oa_qn_question` (
  `fID` varchar(50) NOT NULL COMMENT '主键',
  `version` int(11) NOT NULL DEFAULT '0',
  `fQuestionnaireID` varchar(50) NOT NULL DEFAULT '0' COMMENT '问卷主键ID',
  `fQuestionTypeId` varchar(50) NOT NULL COMMENT '问题类型名称',
  `fQuestionTile` varchar(100) DEFAULT NULL COMMENT '问题题目',
  `fMaxSelectCount` tinyint(4) DEFAULT NULL COMMENT '多选题是最多选择几项',
  `fQuestionScore` int(11) DEFAULT NULL COMMENT '打分题的总分值',
  `fAnswerCount` int(11) NOT NULL COMMENT '回答的次数',
  `fMustAnswer` tinyint(4) NOT NULL COMMENT '是否必须回答',
  `fOrder` smallint(6) DEFAULT NULL COMMENT '问题的顺序',
  `fImgUrl` varchar(128) DEFAULT NULL COMMENT '问题图片',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_qn_questionnaire 结构
CREATE TABLE IF NOT EXISTS `oa_qn_questionnaire` (
  `fID` varchar(100) NOT NULL COMMENT '主键',
  `version` int(11) NOT NULL COMMENT '版本控制',
  `fTile` varchar(100) NOT NULL COMMENT '问卷名称',
  `fWelcome` varchar(100) NOT NULL COMMENT '问卷欢迎词',
  `fState` tinyint(4) NOT NULL DEFAULT '0' COMMENT '问卷状态；0未发布；1已发布',
  `fAnswerCount` int(11) NOT NULL DEFAULT '0' COMMENT '答卷人数',
  `fCreatePsnID` varchar(100) NOT NULL COMMENT '创建人ID',
  `fCreatePsnName` varchar(100) NOT NULL COMMENT '创建人Name',
  `fCreatePsnFID` varchar(100) NOT NULL COMMENT '创建人FID',
  `fCreatePsnFName` varchar(100) NOT NULL COMMENT '创建人FName',
  `fCreateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `fUpdatePsnID` varchar(100) NOT NULL COMMENT '修改人ID',
  `fUpdatePsnName` varchar(100) NOT NULL COMMENT '修改人Name',
  `fUpdatePsnFID` varchar(100) NOT NULL COMMENT '修改人FID',
  `fUpdatePsnFName` varchar(100) NOT NULL COMMENT '修改人FName',
  `fUpdateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `fRangeID` varchar(50) DEFAULT NULL COMMENT '发布范围的人员',
  PRIMARY KEY (`fID`),
  KEY `fID` (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_sign 结构
CREATE TABLE IF NOT EXISTS `oa_sign` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(100) DEFAULT NULL COMMENT '签到人',
  `fPersonName` varchar(100) DEFAULT NULL COMMENT '签到人名称',
  `fOrgID` varchar(100) DEFAULT NULL COMMENT '签到组织',
  `fOrgName` varchar(100) DEFAULT NULL COMMENT '组织名称',
  `fDeptID` varchar(100) DEFAULT NULL COMMENT '签到部门',
  `fDeptName` varchar(100) DEFAULT NULL COMMENT '部门名称',
  `fSignTime` datetime DEFAULT NULL COMMENT '签到时间',
  `fLongitude` varchar(100) DEFAULT NULL COMMENT '经度',
  `fDimension` varchar(100) DEFAULT NULL COMMENT '纬度',
  `fSignAddress` varchar(100) DEFAULT NULL COMMENT '签到地址',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fImgURL` varchar(1024) DEFAULT NULL COMMENT '图片',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_workdaily 结构
CREATE TABLE IF NOT EXISTS `oa_workdaily` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(36) DEFAULT NULL COMMENT '填报人',
  `fPersonName` varchar(64) DEFAULT NULL COMMENT '填报人名称',
  `fDeptID` varchar(36) DEFAULT NULL COMMENT '填报部门',
  `fDeptName` varchar(64) DEFAULT NULL COMMENT '填报部门名称',
  `fCreateTime` datetime DEFAULT NULL COMMENT '创建日期',
  `fDate` date DEFAULT NULL COMMENT '填报日期',
  `fFinishWork` varchar(1024) DEFAULT NULL COMMENT '今日完成工作',
  `fWorkPlan` varchar(1024) DEFAULT NULL COMMENT '明日工作计划',
  `fNeedHelp` varchar(1024) DEFAULT NULL COMMENT '需协调与帮助',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fImgURL` varchar(1024) DEFAULT NULL COMMENT '图片路径',
  `fReleaseScope` varchar(1024) DEFAULT NULL COMMENT '发布范围',
  `fReleaseScopeID` varchar(1024) DEFAULT NULL COMMENT '发布范围ID',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_workfavorite 结构
CREATE TABLE IF NOT EXISTS `oa_workfavorite` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPresonID` varchar(100) DEFAULT NULL COMMENT '人员ID',
  `fLabel` varchar(100) DEFAULT NULL COMMENT '名称',
  `fProcess` varchar(100) DEFAULT NULL COMMENT '流程',
  `fActitvty` varchar(100) DEFAULT NULL COMMENT '环节',
  `fUrl` varchar(100) DEFAULT NULL COMMENT '地址',
  `fIcon` varchar(100) DEFAULT NULL COMMENT '图标',
  `fColor` varchar(100) DEFAULT NULL COMMENT '图标颜色',
  `fDevicesType` varchar(100) DEFAULT NULL COMMENT '设备类型',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_workmonthly 结构
CREATE TABLE IF NOT EXISTS `oa_workmonthly` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(36) DEFAULT NULL COMMENT '填报人',
  `fPersonName` varchar(64) DEFAULT NULL COMMENT '填报人名称',
  `fDeptID` varchar(36) DEFAULT NULL COMMENT '填报部门',
  `fDeptName` varchar(64) DEFAULT NULL COMMENT '填报部门名称',
  `fCreateTime` datetime DEFAULT NULL COMMENT '创建日期',
  `fDate` date DEFAULT NULL COMMENT '填报日期',
  `fFinishWork` varchar(1024) DEFAULT NULL COMMENT '本月完成工作',
  `fWorkPlan` varchar(1024) DEFAULT NULL COMMENT '下月工作计划',
  `fNeedHelp` varchar(1024) DEFAULT NULL COMMENT '需协调与帮助',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fImgURL` varchar(1024) DEFAULT NULL COMMENT '图片路径',
  `fReleaseScope` varchar(1024) DEFAULT NULL COMMENT '发布范围',
  `fWorkSummary` varchar(1024) DEFAULT NULL COMMENT '本月工作总结',
  `fReleaseScopeID` varchar(1024) DEFAULT NULL COMMENT '发布范围ID',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_workweekly 结构
CREATE TABLE IF NOT EXISTS `oa_workweekly` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(36) DEFAULT NULL COMMENT '填报人',
  `fPersonName` varchar(64) DEFAULT NULL COMMENT '填报人名称',
  `fDeptID` varchar(36) DEFAULT NULL COMMENT '填报部门',
  `fDeptName` varchar(64) DEFAULT NULL COMMENT '填报部门名称',
  `fCreateTime` datetime DEFAULT NULL COMMENT '创建日期',
  `fDate` date DEFAULT NULL COMMENT '填报日期',
  `fFinishWork` varchar(1024) DEFAULT NULL COMMENT '本周完成工作',
  `fWorkPlan` varchar(1024) DEFAULT NULL COMMENT '下周工作计划',
  `fNeedHelp` varchar(1024) DEFAULT NULL COMMENT '需协调与帮助',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fImgURL` varchar(1024) DEFAULT NULL COMMENT '图片路径',
  `fReleaseScope` varchar(1024) DEFAULT NULL COMMENT '发布范围',
  `fWorkSummary` varchar(1024) DEFAULT NULL COMMENT '本周工作总结',
  `fReleaseScopeID` varchar(1024) DEFAULT NULL COMMENT '发布范围ID',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.wk_activity_detail 结构
CREATE TABLE IF NOT EXISTS `wk_activity_detail` (
  `fID` varchar(50) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonID` varchar(50) DEFAULT NULL COMMENT '报名人ID',
  `fPersonName` varchar(50) DEFAULT NULL COMMENT '报名人姓名',
  `fNumber` int(50) DEFAULT '1' COMMENT '报名人数',
  `fTel` varchar(50) DEFAULT NULL COMMENT '手机号码',
  `fAge` varchar(50) DEFAULT NULL COMMENT '年龄',
  `fSex` varchar(50) DEFAULT NULL COMMENT '性别',
  `fRemark` varchar(50) DEFAULT NULL COMMENT '备注',
  `fParentsID` varchar(50) DEFAULT NULL COMMENT '父ID',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.wk_activity_start 结构
CREATE TABLE IF NOT EXISTS `wk_activity_start` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fImage` varchar(1024) DEFAULT NULL COMMENT '图片',
  `fTitle` varchar(100) DEFAULT NULL COMMENT '标题',
  `fExplain` varchar(1024) DEFAULT NULL COMMENT '说明',
  `fPersonID` varchar(100) DEFAULT NULL COMMENT '发起人ID',
  `fPersonName` varchar(100) DEFAULT NULL COMMENT '发起人姓名',
  `fRegistrationTime` datetime DEFAULT NULL COMMENT '报名结束时间',
  `fStartTime` datetime DEFAULT NULL COMMENT '活动开始时间',
  `fEndTime` datetime DEFAULT NULL COMMENT '活动结束时间',
  `fNumber` int(50) DEFAULT NULL COMMENT '报名人数',
  `fAdds` varchar(520) DEFAULT NULL COMMENT '地点',
  `fTel` varchar(50) DEFAULT NULL COMMENT '手机号',
  `fSex` varchar(50) DEFAULT NULL COMMENT '性别',
  `fAge` varchar(50) DEFAULT NULL COMMENT '年龄',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fCost` varchar(100) DEFAULT NULL COMMENT '费用',
  `fName` varchar(100) DEFAULT NULL COMMENT '报名人姓名',
  `fSignUp` int(11) DEFAULT NULL COMMENT '已经计算人数',
  `fAttention` varchar(50) DEFAULT NULL COMMENT '关注',
  `fCostType` varchar(50) DEFAULT NULL COMMENT '费用形式',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.wk_comment 结构
CREATE TABLE IF NOT EXISTS `wk_comment` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fType` varchar(100) DEFAULT NULL COMMENT '类型、方式',
  `fParentID` varchar(100) DEFAULT NULL COMMENT '对象ID',
  `fParentName` varchar(100) DEFAULT NULL COMMENT '对象名称',
  `fCreateTime` datetime DEFAULT NULL COMMENT '评论时间',
  `fCreatorID` varchar(100) DEFAULT NULL COMMENT '评论人ID',
  `fCreatorName` varchar(100) DEFAULT NULL COMMENT '评论人名称',
  `fName` varchar(100) DEFAULT NULL COMMENT '评论标题',
  `fComment` varchar(100) DEFAULT NULL COMMENT '评论内容',
  `fCommentImg` varchar(100) DEFAULT NULL COMMENT '评论图片',
  `fCreatorOgnID` varchar(100) DEFAULT NULL COMMENT '评论人机构ID',
  `fCreatorOgnName` varchar(100) DEFAULT NULL COMMENT '评论人机构名称',
  `fCreatorDptID` varchar(100) DEFAULT NULL COMMENT '评论人部门ID',
  `fCreatorDptName` varchar(100) DEFAULT NULL COMMENT '评论人部门名称',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='评论表\r\n';



-- 导出  表 work.oa_wm_holiday 结构
CREATE TABLE IF NOT EXISTS `oa_wm_holiday` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fName` varchar(64) DEFAULT NULL COMMENT '名称',
  `fBrefExplain` varchar(225) DEFAULT NULL COMMENT '简要说明',
  `fState` varchar(36) DEFAULT NULL COMMENT '状态编码',
  `fStateName` varchar(64) DEFAULT NULL COMMENT '状态',
  `fCreatePsnName` varchar(64) DEFAULT NULL COMMENT '提交人员',
  `fCreateTime` datetime DEFAULT NULL COMMENT '提交时间',
  `fLeaveTypeName` varchar(64) DEFAULT NULL COMMENT '类型',
  `fLeaveTypeID` varchar(36) DEFAULT NULL COMMENT '类型',
  `fDate` date DEFAULT NULL COMMENT '日期',
  `fMultiple` int(11) DEFAULT NULL COMMENT '倍数',
  `fYear` int(11) DEFAULT NULL COMMENT '年度',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_wm_leaveapply 结构
CREATE TABLE IF NOT EXISTS `oa_wm_leaveapply` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fNO` varchar(100) DEFAULT NULL COMMENT '单据号',
  `fApplyPersonID` varchar(36) DEFAULT NULL COMMENT '申请人',
  `fApplyPersonName` varchar(64) DEFAULT NULL COMMENT '申请人',
  `fApplyDate` date DEFAULT NULL COMMENT '申请日期',
  `fApplyDeptID` varchar(36) DEFAULT NULL COMMENT '申请部门',
  `fApplyDeptName` varchar(64) DEFAULT NULL COMMENT '申请部门',
  `fDeptPath` varchar(1024) DEFAULT NULL COMMENT '部门path',
  `fURL` varchar(1024) DEFAULT NULL COMMENT '路径',
  `fLeaveReason` varchar(1024) DEFAULT NULL COMMENT '请假事由',
  `fPlanID` varchar(36) DEFAULT NULL COMMENT '计划ID',
  `fPlanName` varchar(64) DEFAULT NULL COMMENT '计划名称',
  `fProjectID` varchar(36) DEFAULT NULL COMMENT '项目ID',
  `fProjectName` varchar(64) DEFAULT NULL COMMENT '项目名称',
  `fClienterID` varchar(36) DEFAULT NULL COMMENT '客户ID',
  `fClienterName` varchar(64) DEFAULT NULL COMMENT '客户名称',
  `fStartTime` datetime DEFAULT NULL COMMENT '开始时间',
  `fEndTime` datetime DEFAULT NULL COMMENT '结束时间',
  `fLeaveDays` int(11) DEFAULT NULL COMMENT '请假天数',
  `fLeaveHours` float DEFAULT NULL COMMENT '请假小时数',
  `fLeaveTime` float DEFAULT NULL COMMENT '请假时长',
  `fLeaveTypeName` varchar(63) DEFAULT NULL COMMENT '请假类型',
  `fLeaveTypeID` varchar(36) DEFAULT NULL COMMENT '请假类型',
  `fRelationTel` varchar(36) DEFAULT NULL COMMENT '联系电话',
  `fWorkConnectPersonID` varchar(36) DEFAULT NULL COMMENT '工作暂接人',
  `fWorkConnectPersonName` varchar(64) DEFAULT NULL COMMENT '工作暂接人',
  `fWorkExplain` varchar(512) DEFAULT NULL COMMENT '工作安排说明',
  `fIsReducHoliday` int(11) DEFAULT NULL COMMENT '是否启用销假',
  `fFactStartTime` datetime DEFAULT NULL COMMENT '实际开始时间',
  `fFactEndTime` datetime DEFAULT NULL COMMENT '实际结束时间',
  `fFactDays` int(11) DEFAULT NULL COMMENT '实际天数',
  `fFactTime` float DEFAULT NULL COMMENT '实际时长',
  `fCancelHolsDeptName` varchar(64) DEFAULT NULL COMMENT '确认部门',
  `fCancelHolsPersonName` varchar(64) DEFAULT NULL COMMENT '确认人',
  `fCancelHolsDate` datetime DEFAULT NULL COMMENT '确认日期',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fCreateDeptID` varchar(36) DEFAULT NULL COMMENT '提交部门ID',
  `fCreateDeptName` varchar(64) DEFAULT NULL COMMENT '提交部门',
  `fCreatePerID` varchar(36) DEFAULT NULL COMMENT '提交人ID',
  `fCreatePerName` varchar(64) DEFAULT NULL COMMENT '提交人',
  `fCreateTime` datetime DEFAULT NULL COMMENT '提交时间',
  `fUpdateDeptID` varchar(36) DEFAULT NULL COMMENT '修改部门ID',
  `fUpdateDeptName` varchar(64) DEFAULT NULL COMMENT '修改部门',
  `fUpdatePerID` varchar(36) DEFAULT NULL COMMENT '修改人ID',
  `fUpdatePerName` varchar(64) DEFAULT NULL COMMENT '修改人',
  `fUpdateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `fFactHours` float DEFAULT NULL COMMENT '实际小时数',
  `fBizState` varchar(36) DEFAULT NULL COMMENT '业务流程状态编码',
  `fBizStateName` varchar(64) DEFAULT NULL COMMENT '业务流程状态',
  `fIsSalary` int(11) DEFAULT NULL COMMENT '是否扣薪',
  `fCurrentActivities` varchar(64) DEFAULT NULL COMMENT '当前环节',
  `fCurrentExecutors` varchar(64) DEFAULT NULL COMMENT '当前执行者',
  `fPLACE` varchar(512) DEFAULT NULL COMMENT '地点',
  `fTransport` varchar(64) DEFAULT NULL COMMENT '交通工具',
  `fImageURL` varchar(1024) DEFAULT NULL COMMENT '图片',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_wm_leavetype 结构
CREATE TABLE IF NOT EXISTS `oa_wm_leavetype` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fTypeCode` varchar(64) DEFAULT NULL COMMENT '类型编码',
  `fTypeName` varchar(64) DEFAULT NULL COMMENT '类型名称',
  `fIsSalary` int(11) DEFAULT NULL COMMENT '是否扣薪',
  `fSalaryRule` varchar(64) DEFAULT NULL COMMENT '扣薪规则',
  `fIsReducHoliday` int(11) DEFAULT NULL COMMENT '是否启用销假',
  `fUseStatus` int(11) DEFAULT NULL COMMENT '启用标识',
  `fUseStatusName` varchar(64) DEFAULT NULL COMMENT '启用标识名称',
  `fCreatePerID` varchar(36) DEFAULT NULL COMMENT '提交人ID',
  `fCreatePerName` varchar(64) DEFAULT NULL COMMENT '提交人',
  `fCreateTime` datetime DEFAULT NULL COMMENT '提交时间',
  `fRemark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fSequence` int(11) DEFAULT NULL COMMENT '序号',
  `fUseTime` datetime DEFAULT NULL COMMENT '启用时间',
  `fStopTime` datetime DEFAULT NULL COMMENT '停用时间',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_wm_otherapply 结构
CREATE TABLE IF NOT EXISTS `oa_wm_otherapply` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `fNO` varchar(32) DEFAULT NULL COMMENT '单据号',
  `fTYPEID` varchar(36) DEFAULT NULL COMMENT '补签类型ID',
  `fTYPENAME` varchar(128) DEFAULT NULL COMMENT '类型名称',
  `fAPPLYPERSONID` varchar(64) DEFAULT NULL COMMENT '申请人ID',
  `fAPPLYPERSONNAME` varchar(64) DEFAULT NULL COMMENT '申请人',
  `fAPPLYDATE` datetime DEFAULT NULL COMMENT '申请日期',
  `fAPPLYDEPTID` varchar(64) DEFAULT NULL COMMENT '申请部门ID',
  `fAPPLYDEPTNAME` varchar(64) DEFAULT NULL COMMENT '申请部门',
  `fERPTM` varchar(64) DEFAULT NULL COMMENT '所在岗位',
  `fPLANID` varchar(36) DEFAULT NULL COMMENT '计划ID',
  `fPLANNAME` varchar(128) DEFAULT NULL COMMENT '计划名称',
  `fPROJECTID` varchar(36) DEFAULT NULL COMMENT '项目ID',
  `fPROJECTNAME` varchar(128) DEFAULT NULL COMMENT '项目名称',
  `fCLIENTERID` varchar(36) DEFAULT NULL COMMENT '客户ID',
  `fCLIENTERNAME` varchar(128) DEFAULT NULL COMMENT '客户名称',
  `fSTARTTIME` datetime DEFAULT NULL COMMENT '开始时间',
  `fENDTIME` datetime DEFAULT NULL COMMENT '结束时间',
  `fDAYS` int(11) DEFAULT NULL COMMENT '申请天数',
  `fHOURS` float DEFAULT NULL COMMENT '小时',
  `fTIME` float DEFAULT NULL COMMENT '申请时长',
  `fREASON` varchar(1024) DEFAULT NULL COMMENT '事由',
  `fREMARK` varchar(1024) DEFAULT NULL COMMENT '备注',
  `fISSURE` int(11) DEFAULT NULL COMMENT '是否确认',
  `fCANCELHOLSDEPTID` varchar(64) DEFAULT NULL COMMENT '确认部门ID',
  `fCANCELHOLSDEPTNAME` varchar(64) DEFAULT NULL COMMENT '确认部门',
  `fCANCELHOLSPERSONNAME` varchar(64) DEFAULT NULL COMMENT '确认人',
  `fCANCELHOLSDATE` datetime DEFAULT NULL COMMENT '确认日期',
  `fNUMBER` int(11) DEFAULT NULL COMMENT '人数',
  `fPERSONNEL` varchar(1024) DEFAULT NULL COMMENT '人员',
  `fCARDTIME` datetime DEFAULT NULL COMMENT '打卡时间',
  `fSQUADID` varchar(36) DEFAULT NULL COMMENT '班次ID',
  `fSQUAD` varchar(32) DEFAULT NULL COMMENT '所属排班',
  `fPLACE` varchar(32) DEFAULT NULL COMMENT '地点',
  `fMODEID` varchar(32) DEFAULT NULL COMMENT '出行方式ID',
  `fMODENAME` varchar(64) DEFAULT NULL COMMENT '出行方式',
  `fARRANGE` varchar(200) DEFAULT NULL COMMENT '行程安排',
  `fMONEY` float DEFAULT NULL COMMENT '出差备用金',
  `fEXPLAIN` varchar(1024) DEFAULT NULL COMMENT '用途说明',
  `fFACTSTARTTIME` datetime DEFAULT NULL COMMENT '实际开始时间',
  `fFACTENDTIME` datetime DEFAULT NULL COMMENT '实际结束时间',
  `fFACTDAYS` varchar(100) DEFAULT NULL COMMENT '实际天数',
  `fFACTHOURS` float DEFAULT NULL COMMENT '实际小时数',
  `fCREATEDEPTID` varchar(36) DEFAULT NULL COMMENT '提交部门ID',
  `fCREATEDEPTNAME` varchar(128) DEFAULT NULL COMMENT '提交部门',
  `fCREATEPERID` varchar(36) DEFAULT NULL COMMENT '提交人ID',
  `fCREATEPERNAME` varchar(64) DEFAULT NULL COMMENT '提交人',
  `fCREATETIME` datetime DEFAULT NULL COMMENT '提交时间',
  `fUPDATEDEPTID` varchar(36) DEFAULT NULL COMMENT '修改部门ID',
  `fUPDATEDEPTNAME` varchar(128) DEFAULT NULL COMMENT '修改部门',
  `fUPDATEPERID` varchar(36) DEFAULT NULL COMMENT '修改人ID',
  `fUPDATEPERNAME` varchar(64) DEFAULT NULL COMMENT '修改人',
  `fUPDATETIME` datetime DEFAULT NULL COMMENT '修改时间',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fDEPTPATH` varchar(1024) DEFAULT NULL COMMENT '部门path',
  `fURL` varchar(1024) DEFAULT NULL COMMENT '路径',
  `fBizState` varchar(36) DEFAULT NULL COMMENT '流程状态',
  `fBizStateName` varchar(64) DEFAULT NULL COMMENT '流程状态名称',
  `fCurrentExecutors` varchar(36) DEFAULT NULL COMMENT '流程处理人',
  `fCurrentActivities` varchar(128) DEFAULT NULL COMMENT '流程节点名称',
  `fFactTime` float DEFAULT NULL COMMENT '实际时长',
  `fBrefExplain` varchar(1024) DEFAULT NULL COMMENT '简要说明',
  `fCANCELHOLSPERSONID` varchar(100) DEFAULT NULL COMMENT 'fCANCELHOLSPERSONID',
  `fType` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.oa_wm_outapply 结构
CREATE TABLE IF NOT EXISTS `oa_wm_outapply` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fNO` varchar(36) DEFAULT NULL COMMENT '单据编号',
  `fAPPLYPERSONNAME` varchar(64) DEFAULT NULL COMMENT '申请人',
  `fAPPLYPERSONID` varchar(36) DEFAULT NULL COMMENT '申请人ID',
  `fAPPLYDEPTID` varchar(36) DEFAULT NULL COMMENT '申请部门ID',
  `fAPPLYDEPTNAME` varchar(64) DEFAULT NULL COMMENT '申请部门',
  `fDAYS` int(11) DEFAULT NULL COMMENT '预计天数',
  `fHOURS` float DEFAULT NULL COMMENT '预计小时数',
  `fNUMBER` int(11) DEFAULT NULL COMMENT '外出人数',
  `fPERSONNEL` varchar(64) DEFAULT NULL COMMENT '人员',
  `fREASON` varchar(64) DEFAULT NULL COMMENT '外出事由',
  `fRemark` varchar(64) DEFAULT NULL COMMENT '备注',
  `fTIME` int(11) DEFAULT NULL COMMENT '申请时长',
  `fFACTHOURS` float DEFAULT NULL COMMENT '实际小时数',
  `fFACTENDTIME` datetime DEFAULT NULL COMMENT '实际结束时间',
  `fFACTSTARTTIME` datetime DEFAULT NULL COMMENT '实际开始时间',
  `fFACTDAYS` int(11) DEFAULT NULL COMMENT '实际天数',
  `fCreatePerID` varchar(36) DEFAULT NULL COMMENT '提交人ID',
  `fCreatePerName` varchar(64) DEFAULT NULL COMMENT '提交人',
  `fCreateTime` datetime DEFAULT NULL COMMENT '提交时间',
  `fCREATEDEPTID` varchar(36) DEFAULT NULL COMMENT '提交部门ID',
  `fCREATEDEPTNAME` varchar(64) DEFAULT NULL COMMENT '提交部门',
  `fUPDATEDEPTID` varchar(36) DEFAULT NULL COMMENT '修改部门ID',
  `fUPDATEPERNAME` varchar(64) DEFAULT NULL COMMENT '修改人',
  `fUPDATEDEPTNAME` varchar(64) DEFAULT NULL COMMENT '修改部门',
  `fUPDATETIME` datetime DEFAULT NULL COMMENT '修改时间',
  `fUPDATEPERID` varchar(36) DEFAULT NULL COMMENT '修改人ID',
  `fBizState` varchar(36) DEFAULT NULL COMMENT '流程状态',
  `fBizStateName` varchar(64) DEFAULT NULL COMMENT '流程状态名称',
  `fCurrentExecutors` varchar(64) DEFAULT NULL COMMENT '流程处理人',
  `fCurrentActivities` varchar(64) DEFAULT NULL COMMENT '流程节点名称',
  `fISSURE` int(11) DEFAULT NULL COMMENT '是否确认',
  `fCANCELHOLSPERSONID` varchar(36) DEFAULT NULL COMMENT '确认人ID',
  `fCANCELHOLSPERSONNAME` varchar(64) DEFAULT NULL COMMENT '确认人',
  `fCANCELHOLSDATE` datetime DEFAULT NULL COMMENT '确认日期',
  `fCANCELHOLSDEPTNAME` varchar(64) DEFAULT NULL COMMENT '确认部门',
  `fCANCELHOLSDEPTID` varchar(36) DEFAULT NULL COMMENT '确认部门ID',
  `fAPPLYDATE` date DEFAULT NULL COMMENT '申请日期',
  `fPLANNAME` varchar(64) DEFAULT NULL COMMENT '计划',
  `fPLANID` varchar(36) DEFAULT NULL COMMENT '计划ID',
  `fPROJECTNAME` varchar(64) DEFAULT NULL COMMENT '项目',
  `fPROJECTID` varchar(36) DEFAULT NULL COMMENT '项目ID',
  `fCLIENTERNAME` varchar(64) DEFAULT NULL COMMENT '客户',
  `fCLIENTERID` varchar(36) DEFAULT NULL COMMENT '客户ID',
  `fSTARTTIME` datetime DEFAULT NULL COMMENT '开始时间',
  `fENDTIME` datetime DEFAULT NULL COMMENT '结束时间',
  `fExplain` varchar(1024) DEFAULT NULL COMMENT '简要说明',
  `fURL` varchar(512) DEFAULT NULL COMMENT '组织路径',
  `fFactTime` float DEFAULT NULL COMMENT '实际时长',
  `fType` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- 导出  表 work.wk_vote_content 结构
CREATE TABLE IF NOT EXISTS `wk_vote_content` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fStartId` varchar(100) DEFAULT NULL COMMENT '关联id',
  `fContent` varchar(100) DEFAULT NULL COMMENT '内容',
  `fVoteCount` int(11) DEFAULT NULL,
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.wk_vote_detail 结构
CREATE TABLE IF NOT EXISTS `wk_vote_detail` (
  `fID` varchar(50) NOT NULL,
  `fContent` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fStartId` varchar(50) DEFAULT NULL COMMENT '活动id',
  `fVoteName` varchar(100) DEFAULT NULL COMMENT '投票人姓名',
  `fPersonId` varchar(100) DEFAULT NULL,
  `fVoteTime` datetime DEFAULT NULL COMMENT '投票时间',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。


-- 导出  表 work.wk_vote_start 结构
CREATE TABLE IF NOT EXISTS `wk_vote_start` (
  `fID` varchar(100) NOT NULL DEFAULT '',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  `fPersonId` varchar(100) DEFAULT NULL COMMENT '登陆人Id',
  `fPersonName` varchar(100) DEFAULT NULL,
  `fTitle` varchar(100) DEFAULT NULL COMMENT '标题',
  `fExplain` varchar(500) DEFAULT NULL COMMENT '说明',
  `fSelect` varchar(50) DEFAULT NULL COMMENT '选择',
  `fnum` int(11) DEFAULT NULL COMMENT '多选选择的个数',
  `fAnomity` varchar(50) DEFAULT NULL COMMENT '是否匿名',
  `seeSelect` varchar(50) DEFAULT NULL COMMENT '是否可见',
  `fEndTime` datetime DEFAULT NULL COMMENT '截至时间',
  `fCount` int(11) DEFAULT NULL COMMENT '投票总次数',
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。

-- 导出  表 work.wk_vote_type 结构
CREATE TABLE IF NOT EXISTS `wk_vote_type` (
  `fID` varchar(100) NOT NULL,
  `version` int(11) DEFAULT NULL,
  `fStartId` varchar(100) DEFAULT NULL,
  `fPersonId` varchar(100) DEFAULT NULL,
  `fType` varchar(50) DEFAULT NULL,
  `fEndTime` datetime DEFAULT NULL,
  `fPersonName` varchar(100) DEFAULT NULL,
  `fTitle` varchar(100) DEFAULT NULL,
  `fCount` int(11) DEFAULT NULL,
  `end` int(11) DEFAULT NULL,
  PRIMARY KEY (`fID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 数据导出被取消选择。

-- 导出  表 work.im_bot 结构
CREATE TABLE IF NOT EXISTS `im_bot` (
  `sID` varchar(100) NOT NULL,
  `sName` varchar(128) NOT NULL COMMENT '名称',
  `sNickName` varchar(255) DEFAULT NULL COMMENT '昵称',
  `sActorID` int(11) NOT NULL COMMENT 'ActorID',
  `sType` varchar(32) DEFAULT NULL COMMENT 'BOT类型',
  `sBusinessAPI` varchar(128) DEFAULT NULL COMMENT '业务API',
  `sBusinessCycle` int(10) DEFAULT NULL COMMENT '业务API访问周期',
  `sStatus` varchar(8) DEFAULT NULL COMMENT '状态',
  `sRemarks` varchar(256) DEFAULT NULL COMMENT '备注',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  PRIMARY KEY (`sID`),
  KEY `IDX_IMBOT_NAME` (`sName`),
  KEY `IDX_IMBOT_ACTORID` (`sActorID`),
  KEY `IDX_IMBOT_TYPE` (`sType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `im_botgroup` (
  `sID` varchar(88) NOT NULL,
  `sGroupID` int(11) NOT NULL COMMENT '讨论组ID',
  `sBusinessID` varchar(88) DEFAULT NULL COMMENT '业务ID',
  `sBusinessType` varchar(10) DEFAULT NULL COMMENT '业务类型',
  `sGroupName` varchar(128) NOT NULL COMMENT '讨论组名称',
  `sGroupMsgURL` varchar(1024) DEFAULT NULL COMMENT '讨论组消息地址',
  `sGroupDescribe` varchar(1024) DEFAULT NULL COMMENT '讨论组描述',
  `sStatus` varchar(10) DEFAULT NULL COMMENT '状态',
  `version` int(11) DEFAULT NULL COMMENT '版本',
  PRIMARY KEY (`sID`),
  KEY `IDX_IMBOTGROUP_NAME` (`sGroupName`),
  KEY `IDX_IMBOTGROUP_ID` (`sGroupID`),
  KEY `IDX_IMBOTGROUP_BUSINESSID` (`sBusinessID`),
  KEY `IDX_IMBOTGROUP_TYPE` (`sBusinessType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


alter TABLE wk_activity_start add END int(11) comment '信息状态';



-- 导出 x5sys 的数据库结构
CREATE DATABASE IF NOT EXISTS `x5sys` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `x5sys`;


-- 导出  表 x5sys.sa_oporg 结构
CREATE TABLE IF NOT EXISTS `sa_oporg` (
  `sID` varchar(128) NOT NULL,
  `sName` varchar(128) NOT NULL,
  `sCode` varchar(64) NOT NULL,
  `sLongName` varchar(255) DEFAULT NULL,
  `sFName` varchar(2048) DEFAULT NULL,
  `sFCode` varchar(255) DEFAULT NULL,
  `sFID` varchar(255) NOT NULL,
  `sOrgKindID` varchar(5) NOT NULL,
  `sSequence` varchar(128) DEFAULT NULL,
  `sValidState` int(11) DEFAULT NULL,
  `sParent` varchar(128) DEFAULT NULL,
  `sLevel` int(11) DEFAULT NULL,
  `sPhone` varchar(64) DEFAULT NULL,
  `sFax` varchar(64) DEFAULT NULL,
  `sAddress` varchar(255) DEFAULT NULL,
  `sZip` varchar(16) DEFAULT NULL,
  `sDescription` varchar(1024) DEFAULT NULL,
  `sPersonID` varchar(64) DEFAULT NULL,
  `sNodeKind` varchar(32) DEFAULT NULL,
  `sWxDeptID` int(11) DEFAULT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`sID`),
  KEY `IDX_OPORG_CODE` (`sCode`),
  KEY `IDX_OPORG_FCODE` (`sFCode`),
  KEY `IDX_OPORG_FID` (`sFID`),
  KEY `IDX_OPORG_KV` (`sValidState`,`sOrgKindID`),
  KEY `IDX_OPORG_PARENT` (`sParent`),
  KEY `IDX_OPORG_PERSON` (`sPersonID`),
  KEY `IDX_OPORG_SEQUENCE` (`sSequence`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  x5sys.sa_oporg 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `sa_oporg` DISABLE KEYS */;
INSERT INTO `sa_oporg` (`sID`, `sName`, `sCode`, `sLongName`, `sFName`, `sFCode`, `sFID`, `sOrgKindID`, `sSequence`, `sValidState`, `sParent`, `sLevel`, `sPhone`, `sFax`, `sAddress`, `sZip`, `sDescription`, `sPersonID`, `sNodeKind`, `sWxDeptID`, `version`) VALUES
	('C72954C0F44000019B1F1BB01CBA15F8', '研发部', 'YFB', NULL, '/北京起步科技股份有限公司/研发部', '/JUSTEP/YFB', '/ORG01.ogn/C72954C0F44000019B1F1BB01CBA15F8.dpt', 'dpt', '/001/002', NULL, 'ORG01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('ORG01', '起步科技', 'JUSTEP', NULL, '/北京起步科技股份有限公司', '/JUSTEP', '/ORG01.ogn', 'ogn', '/001', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
	('PSN01@ORG01', 'system', 'SYSTEM', NULL, '/北京起步科技股份有限公司/system', '/JUSTEP/SYSTEM', '/ORG01.ogn/PSN01.psm', 'psm', '/001/001', 1, 'ORG01', NULL, NULL, NULL, NULL, NULL, NULL, 'PSN01', 'nkLeaf', NULL, 0);
/*!40000 ALTER TABLE `sa_oporg` ENABLE KEYS */;


-- 导出  表 x5sys.sa_opperson 结构
CREATE TABLE IF NOT EXISTS `sa_opperson` (
  `sID` varchar(64) NOT NULL,
  `sName` varchar(64) NOT NULL,
  `sCode` varchar(64) NOT NULL,
  `sIDCard` varchar(36) DEFAULT NULL,
  `sNumb` int(11) NOT NULL,
  `sLoginName` varchar(64) DEFAULT NULL,
  `sPassword` varchar(64) DEFAULT NULL,
  `sPasswordTimeLimit` int(11) DEFAULT NULL,
  `sPasswordModifyTime` datetime DEFAULT NULL,
  `sMainOrgID` varchar(128) NOT NULL,
  `sSafeLevelID` varchar(36) DEFAULT NULL,
  `sSequence` int(36) DEFAULT NULL,
  `sValidState` int(11) DEFAULT NULL,
  `sDescription` varchar(2048) DEFAULT NULL,
  `sSex` varchar(8) DEFAULT NULL,
  `sBirthday` datetime DEFAULT NULL,
  `sJoinDate` datetime DEFAULT NULL,
  `sHomePlace` varchar(64) DEFAULT NULL,
  `sDegree` varchar(16) DEFAULT NULL,
  `sGraduateSchool` varchar(128) DEFAULT NULL,
  `sSpeciality` varchar(128) DEFAULT NULL,
  `sSchoolLength` varchar(16) DEFAULT NULL,
  `sTitle` varchar(64) DEFAULT NULL,
  `sMarriage` varchar(16) DEFAULT NULL,
  `sCardNO` varchar(36) DEFAULT NULL,
  `sCardKind` varchar(64) DEFAULT NULL,
  `sFamilyAddress` varchar(255) DEFAULT NULL,
  `sZip` varchar(16) DEFAULT NULL,
  `sMsn` varchar(64) DEFAULT NULL,
  `sQQ` varchar(36) DEFAULT NULL,
  `sMail` varchar(64) DEFAULT NULL,
  `sMobilePhone` varchar(36) DEFAULT NULL,
  `sFamilyPhone` varchar(36) DEFAULT NULL,
  `sOfficePhone` varchar(36) DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `sPhoto` varchar(1024) DEFAULT NULL,
  `sPhotoLastModified` datetime DEFAULT NULL,
  `sCountry` varchar(64) DEFAULT NULL,
  `sProvince` varchar(64) DEFAULT NULL,
  `sCity` varchar(64) DEFAULT NULL,
  `SPOSITIONS` varchar(64) DEFAULT NULL,
  `SSCHOOL` varchar(64) DEFAULT NULL,
  `SSTUDY` varchar(64) DEFAULT NULL,
  `sEnglishName` varchar(128) DEFAULT NULL,
  `sFunRole` int(1) DEFAULT '3' COMMENT '1.公司领导；2.部门主管；3.普通员工',
  PRIMARY KEY (`sID`),
  UNIQUE KEY `IDX_OPPERSON_SCODE` (`sCode`),
  KEY `IDX_OPPERSON_VALID` (`sValidState`),
  KEY `IDX_OPPERSON_LN_C_VS` (`sLoginName`,`sCode`,`sValidState`),
  KEY `IDX_OPPERSON_ORG` (`sMainOrgID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  x5sys.sa_opperson 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `sa_opperson` DISABLE KEYS */;
INSERT INTO `sa_opperson` (`sID`, `sName`, `sCode`, `sIDCard`, `sNumb`, `sLoginName`, `sPassword`, `sPasswordTimeLimit`, `sPasswordModifyTime`, `sMainOrgID`, `sSafeLevelID`, `sSequence`, `sValidState`, `sDescription`, `sSex`, `sBirthday`, `sJoinDate`, `sHomePlace`, `sDegree`, `sGraduateSchool`, `sSpeciality`, `sSchoolLength`, `sTitle`, `sMarriage`, `sCardNO`, `sCardKind`, `sFamilyAddress`, `sZip`, `sMsn`, `sQQ`, `sMail`, `sMobilePhone`, `sFamilyPhone`, `sOfficePhone`, `version`, `sPhoto`, `sPhotoLastModified`, `sCountry`, `sProvince`, `sCity`, `SPOSITIONS`, `SSCHOOL`, `SSTUDY`, `sEnglishName`, `sFunRole`) VALUES
	('PSN01', 'system', 'SYSTEM', NULL, 1028871947, 'SYSTEM', ':e0d34b5ab5e5f0831ac99a9be6072f8e', NULL, NULL, 'ORG01', NULL, 1, 1, NULL, '男', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '401583B2501A4B5690CBAF8ED7A14A5D/201607272139455493Desert.jpg', '2016-03-31 09:47:09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1);
/*!40000 ALTER TABLE `sa_opperson` ENABLE KEYS */;


-- 导出  表 x5sys.sa_task 结构
CREATE TABLE IF NOT EXISTS `sa_task` (
  `sID` varchar(32) NOT NULL,
  `sCode` varchar(128) DEFAULT NULL,
  `sParentID` varchar(32) DEFAULT NULL,
  `sName` varchar(255) DEFAULT NULL,
  `sContent` text,
  `sRemark` text,
  `sSummary` text,
  `sFlowID` varchar(32) DEFAULT NULL,
  `sSourceID` varchar(32) DEFAULT NULL,
  `sFrontID` varchar(32) DEFAULT NULL,
  `sExecuteMode2` varchar(256) DEFAULT NULL,
  `sExecuteMode` varchar(32) DEFAULT NULL,
  `sPreemptMode` varchar(32) DEFAULT NULL,
  `sCatalogID` varchar(32) DEFAULT NULL,
  `sKindID` varchar(32) DEFAULT NULL,
  `sTypeID` varchar(32) DEFAULT NULL,
  `sTypeName` varchar(64) DEFAULT NULL,
  `sImportanceID` varchar(32) DEFAULT NULL,
  `sImportanceName` varchar(64) DEFAULT NULL,
  `sEmergencyID` varchar(32) DEFAULT NULL,
  `sEmergencyName` varchar(64) DEFAULT NULL,
  `sProcess` varchar(127) DEFAULT NULL,
  `sActivity` varchar(128) DEFAULT NULL,
  `sCURL` text,
  `sEURL` text,
  `sCreateTime` datetime DEFAULT NULL,
  `sDistributeTime` datetime DEFAULT NULL,
  `sLastModifyTime` datetime DEFAULT NULL,
  `sWarningTime` datetime DEFAULT NULL,
  `sLimitTime` datetime DEFAULT NULL,
  `sExpectStartTime` datetime DEFAULT NULL,
  `sExpectFinishTime` datetime DEFAULT NULL,
  `sActualStartTime` datetime DEFAULT NULL,
  `sActualFinishTime` datetime DEFAULT NULL,
  `sExecuteTime` datetime DEFAULT NULL,
  `sCreatorPersonID` varchar(32) DEFAULT NULL,
  `sCreatorPersonName` varchar(128) DEFAULT NULL,
  `sCreatorPosID` varchar(32) DEFAULT NULL,
  `sCreatorPosName` varchar(128) DEFAULT NULL,
  `sCreatorDeptID` varchar(32) DEFAULT NULL,
  `sCreatorDeptName` varchar(128) DEFAULT NULL,
  `sCreatorOgnID` varchar(32) DEFAULT NULL,
  `sCreatorOgnName` varchar(128) DEFAULT NULL,
  `sCreatorFID` varchar(212) DEFAULT NULL,
  `sCreatorFName` varchar(1024) DEFAULT NULL,
  `sExecutorPersonID` varchar(32) DEFAULT NULL,
  `sExecutorPersonName` varchar(128) DEFAULT NULL,
  `sExecutorPosID` varchar(32) DEFAULT NULL,
  `sExecutorPosName` varchar(128) DEFAULT NULL,
  `sExecutorDeptID` varchar(32) DEFAULT NULL,
  `sExecutorDeptName` varchar(128) DEFAULT NULL,
  `sExecutorOgnID` varchar(32) DEFAULT NULL,
  `sExecutorOgnName` varchar(128) DEFAULT NULL,
  `sExecutorFID` varchar(212) DEFAULT NULL,
  `sExecutorFName` varchar(1024) DEFAULT NULL,
  `sExecutorNames` text,
  `sActivityNames` text,
  `sResponsible` varchar(8) DEFAULT NULL,
  `sCustomerID` varchar(64) DEFAULT NULL,
  `ScustomerCode` varchar(64) DEFAULT NULL,
  `sCustomerName` varchar(128) DEFAULT NULL,
  `sProjectID` varchar(64) DEFAULT NULL,
  `sProjectCode` varchar(64) DEFAULT NULL,
  `sProjectName` varchar(128) DEFAULT NULL,
  `sPlanID` varchar(64) DEFAULT NULL,
  `sPlanCode` varchar(64) DEFAULT NULL,
  `sPlanName` varchar(128) DEFAULT NULL,
  `sData1` varchar(32) DEFAULT NULL,
  `sData2` varchar(32) DEFAULT NULL,
  `sData3` varchar(32) DEFAULT NULL,
  `sData4` varchar(32) DEFAULT NULL,
  `sFake` varchar(8) DEFAULT NULL,
  `sActive` varchar(8) DEFAULT NULL,
  `sStatusID` varchar(32) DEFAULT NULL,
  `sStatusName` varchar(64) DEFAULT NULL,
  `sAIID` varchar(32) DEFAULT NULL,
  `sAIStatusID` varchar(256) DEFAULT NULL,
  `sAIStatusName` varchar(256) DEFAULT NULL,
  `sAIActive` varchar(8) DEFAULT NULL,
  `sWorkTime` int(11) DEFAULT NULL,
  `sVersionNumber` varchar(64) DEFAULT NULL,
  `sSequence` int(11) DEFAULT NULL,
  `sLock` varchar(32) DEFAULT NULL,
  `sHints` text,
  `sShortcut` text,
  `sRemindMode` varchar(32) DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `sWithdraw` int(11) DEFAULT NULL,
  `sVariable` text,
  `sProcessName` varchar(128) DEFAULT NULL,
  `sActivityName` varchar(128) DEFAULT NULL,
  `sProcessTemplateID` varchar(32) DEFAULT NULL,
  `sProcessTemplateItemSequence` varchar(128) DEFAULT NULL,
  `sTempPermissionID` varchar(32) DEFAULT NULL,
  `sActivityInTemplate` varchar(128) DEFAULT NULL,
  `sProcessTemplateID2` varchar(32) DEFAULT NULL,
  `sESField01` varchar(1024) DEFAULT NULL,
  `sESField02` varchar(128) DEFAULT NULL,
  `sESField03` varchar(128) DEFAULT NULL,
  `sESField04` varchar(128) DEFAULT NULL,
  `sESField05` varchar(128) DEFAULT NULL,
  `sESField06` varchar(128) DEFAULT NULL,
  `sESField07` varchar(128) DEFAULT NULL,
  `sESField08` varchar(128) DEFAULT NULL,
  `sENField11` decimal(10,0) DEFAULT NULL,
  `sENField12` decimal(10,0) DEFAULT NULL,
  `sENField13` decimal(10,0) DEFAULT NULL,
  `sENField14` decimal(10,0) DEFAULT NULL,
  `sEDField21` datetime DEFAULT NULL,
  `sEDField22` datetime DEFAULT NULL,
  `sEDField23` datetime DEFAULT NULL,
  `sEDField24` datetime DEFAULT NULL,
  `sETField31` text,
  `sETField32` text,
  `sETField33` text,
  `sETField34` text,
  `sEIField41` int(11) DEFAULT NULL,
  `sEIField42` int(11) DEFAULT NULL,
  `sEIField43` int(11) DEFAULT NULL,
  `sEIField44` int(11) DEFAULT NULL,
  `sEBField51` longblob,
  `sEBField52` longblob,
  `sEbField53` longblob,
  `sEBField54` longblob,
  PRIMARY KEY (`sID`),
  KEY `IDX_TASK_SFLOWID` (`sFlowID`),
  KEY `IDX_TASK_CREATETIME` (`sCreateTime`),
  KEY `IDX_TASK_WAIT` (`sExecutorFID`,`sStatusID`),
  KEY `IDX_TASK_SUB` (`sCreatorFID`,`sStatusID`),
  KEY `IDX_TASK_SUB2` (`sCreatorPersonID`,`sStatusID`),
  KEY `IDX_TASK_DATA_P` (`sData1`,`sData2`,`sData3`,`sData4`,`sProcess`),
  KEY `IDX_TASK_PIK` (`sParentID`,`sID`,`sKindID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



